# Uses of Interface
javax.swing.ListSelectionModel

Packages that use ListSelectionModel
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.table
Provides classes and interfaces for dealing with `javax.swing.JTable`.

## Uses of ListSelectionModel in javax.swing

Classes in javax.swing that implement ListSelectionModel
Modifier and Type
Class
Description
`class`
`DefaultListSelectionModel`
Default data model for list selections.
Fields in javax.swing declared as ListSelectionModel
Modifier and Type
Field
Description
`protected ListSelectionModel`
JTable.`selectionModel`
The `ListSelectionModel` of the table, used to keep track of row selections.
Methods in javax.swing that return ListSelectionModel
Modifier and Type
Method
Description
`protected ListSelectionModel`
JTable.`createDefaultSelectionModel()`
Returns the default selection model object, which is a `DefaultListSelectionModel`.
`protected ListSelectionModel`
JList.`createSelectionModel()`
Returns an instance of `DefaultListSelectionModel`; called during construction to initialize the list's selection model property.
`ListSelectionModel`
JList.`getSelectionModel()`
Returns the current selection model.
`ListSelectionModel`
JTable.`getSelectionModel()`
Returns the `ListSelectionModel` that is used to maintain row selection state.
Methods in javax.swing with parameters of type ListSelectionModel
Modifier and Type
Method
Description
`void`
JList.`setSelectionModel​(ListSelectionModel selectionModel)`
Sets the `selectionModel` for the list to a non-`null` `ListSelectionModel` implementation.
`void`
JTable.`setSelectionModel​(ListSelectionModel selectionModel)`
Sets the row selection model for this table to `selectionModel` and registers for listener notifications from the new selection model.
Constructors in javax.swing with parameters of type ListSelectionModel
Modifier
Constructor
Description
``
`JTable​(TableModel dm, TableColumnModel cm, ListSelectionModel sm)`
Constructs a `JTable` that is initialized with `dm` as the data model, `cm` as the column model, and `sm` as the selection model.

## Uses of ListSelectionModel in javax.swing.plaf.basic

Methods in javax.swing.plaf.basic with parameters of type ListSelectionModel
Modifier and Type
Method
Description
`protected void`
BasicListUI.`paintCell​(Graphics g, int row, Rectangle rowBounds, ListCellRenderer<Object> cellRenderer, ListModel<Object> dataModel, ListSelectionModel selModel, int leadIndex)`
Paint one List cell: compute the relevant state, get the "rubber stamp" cell renderer component, and then use the `CellRendererPane` to paint it.

## Uses of ListSelectionModel in javax.swing.table

Fields in javax.swing.table declared as ListSelectionModel
Modifier and Type
Field
Description
`protected ListSelectionModel`
DefaultTableColumnModel.`selectionModel`
Model for keeping track of column selections
Methods in javax.swing.table that return ListSelectionModel
Modifier and Type
Method
Description
`protected ListSelectionModel`
DefaultTableColumnModel.`createSelectionModel()`
Creates a new default list selection model.
`ListSelectionModel`
DefaultTableColumnModel.`getSelectionModel()`
Returns the `ListSelectionModel` that is used to maintain column selection state.
`ListSelectionModel`
TableColumnModel.`getSelectionModel()`
Returns the current selection model.
Methods in javax.swing.table with parameters of type ListSelectionModel
Modifier and Type
Method
Description
`void`
DefaultTableColumnModel.`setSelectionModel​(ListSelectionModel newModel)`
Sets the selection model for this `TableColumnModel` to `newModel` and registers for listener notifications from the new selection model.
`void`
TableColumnModel.`setSelectionModel​(ListSelectionModel newModel)`
Sets the selection model.